%global gem_name ronn-ng
Name:                rubygem-%{gem_name}
Version:             0.9.1
Release:             3
Summary:             Builds man pages from Markdown
License:             MIT
URL:                 https://github.com/apjanke/ronn-ng
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(kramdown) rubygem(mustache)
BuildRequires:       rubygem(nokogiri) rubygem(test-unit)
BuildRequires:       rubygem(did_you_mean)

Patch0:              Workaround-for-psych-4.0+-in-tests.patch

BuildArch:           noarch
Requires:            /usr/bin/groff
Provides:            rubygem-ronn = %{version}-%{release}
Obsoletes:           rubygem-ronn < 0.7.3-20

%description
Ronn builds manuals in HTML and Unix man page format from Markdown.
The source format includes all of Markdown but has a more rigid structure and
syntax extensions for features commonly found in man pages (definition lists,
link notation, etc.). The ronn-format(7) manual page defines the format in
detail.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}
%gemspec_remove_dep -g mustache "~> 0.7"
chmod -x lib/ronn.rb
%patch0 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
install -Dt %{buildroot}/%{_mandir}/man1/ -m 0644 %{buildroot}%{gem_instdir}/man/ronn.1
install -Dt %{buildroot}/%{_mandir}/man7/ -m 0644 %{buildroot}%{gem_instdir}/man/ronn-format.7
install -Dt %{buildroot}/usr/share/bash-completion/completions/ -m 0644 %{buildroot}%{gem_instdir}/completion/bash/ronn
install -Dt %{buildroot}/usr/share/zsh/site-functions/ -m 0644 %{buildroot}%{gem_instdir}/completion/zsh/_ronn

%check
pushd .%{gem_instdir}
sed -i 's/\<colon\>/foo:colon/g' test/angle_bracket_syntax.html
ruby -Ilib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/ronn
%{gem_instdir}/CHANGES
%{gem_instdir}/INSTALLING.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_libdir}
%exclude %{gem_instdir}/completion
%exclude %{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}
%{_mandir}/man1/ronn.1*
%{_mandir}/man7/ronn-format.7*
%dir %_datadir/bash-completion//
%_datadir/bash-completion/completions/
%_datadir/zsh/site-functions/

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ronn-ng.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 15 2023 liqiuyu <liqiuyu@kylinos.cn> - 0.9.1-3
- Resolve test case failures 

* Tue Jan 17 2023 xu_ping <xuping33@h-partners.com> - 0.9.1-2
- fix testcase error.

* Tue Dec 15 2020 chengzihan <chengzihan2@huawei.com> - 0.9.1-1
- Package init
